# TODO remove themes from share
Name: libefltk
Version: 2.0.6
Release: alt0.1

Summary: eFLTK is stable, small and fast cross-platform GUI ToolKit

Group: System/Libraries
Url: http://ede.sf.net
License: GNU GPL

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/ede/efltk-%version.tar.bz2
Patch: %name-%version.patch

# manually changed: xorg-x11-devel-static
# Automatically added by buildreq on Sun Sep 03 2006
BuildRequires: gcc-c++ imake libjpeg-devel libmesa-devel libMySQL-devel libpng-devel libunixODBC-devel libXext-devel libXt-devel linux-libc-headers xorg-cf-files

%description
eFLTK is a cross-platform C++ GUI toolkit for UNIX/Linux (X11), Microsoft Windows,
and MacOS X. eFLTK provides modern GUI functionality without the bloat and supports
3D graphics via OpenGL and its built-in GLUT emulation. It is currently maintained by
a small group of developers across the world with a central repository on SourceForge.

%package devel
Summary: Header files and libraries for developing apps which will eFLTK
Group: Development/C
Requires: %name = %version

%description devel
The efltk-devel package contains the header files and libraries needed
to develop programs that use the eFLTK libraries.

%prep
%setup -q -n efltk
%patch -p0

%build
%configure --with-x --enable-opengl --enable-utf8 --disable-xft \
	--enable-plugins --disable-static
%__subst "s|\$(libdir)/fltk|\$(libdir)/efltk|g" themes/Makefile
export LD_LIBRARY_PATH=$(pwd)/lib
%make

%install
mkdir -p %buildroot%prefix/{bin,include,lib}
%makeinstall
#due stupid mainstream (FIX linking!)
rm -f %buildroot%_libdir/*mysql*
rm -f %buildroot%_libdir/*odbc*
%find_lang efltk

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f efltk.lang
#%%_bindir/*
%_libdir/*.so.*
%_libdir/efltk/

%files devel
%doc doc/*
%_bindir/*
%_includedir/efltk/
%_libdir/*.so

%changelog
* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.6-alt0.1
- new version 2.0.6
- disable mysql/odbc connectors

* Thu Dec 08 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.5-alt1
- fix %_datadir/efltk owner
- fix postun script

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.5-alt0.1
- first build for ALT Linux Sisyphus
